| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
PlogData Struct Reference

Data container holding shared data specific to PlogRate. More...

`#include <PlogRate.h>`

Inheritance diagram for PlogData:
[legend]

## Detailed Description

Data container holding shared data specific to PlogRate.

The data container `PlogData` holds precalculated data common to all `PlogRate` objects.

Definition at line 19 of file PlogRate.h.

## Public Member Functions
void | update (double T) override
| Update data container based on temperature T
void | update (double T, double P) override
| Update data container based on temperature T and an extra parameter.
bool | update (const ThermoPhase &phase, const Kinetics &kin) override
| Update data container based on thermodynamic phase state.
void | perturbPressure (double deltaP)
| Perturb pressure of data container.
void | restore () override
| Restore data container after a perturbation.
void | invalidateCache () override
| Force shared data and reaction rates to be updated next time.
virtual void | update (double T)
| Update data container based on temperature T
virtual void | update (double T, double extra)
| Update data container based on temperature T and an extra parameter.
virtual void | update (double T, const vector< double > &extra)
| Update data container based on temperature T and a vector parameter extra
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin)=0
| Update data container based on thermodynamic phase state.
Public Member Functions inherited from ReactionData
void | perturbTemperature (double deltaT)
| Perturb temperature of data container.
virtual void | resize (size_t nSpecies, size_t nReactions, size_t nPhases)
| Update number of species, reactions and phases.

## Public Attributes
double | pressure = NAN
| pressure
double | logP = 0.0
| logarithm of pressure
Public Attributes inherited from ReactionData
double | temperature = 1.0
| temperature
double | logT = 0.0
| logarithm of temperature
double | recipT = 1.0
| inverse of temperature

## Protected Attributes
double | m_pressure_buf = -1.0
| buffered pressure
Protected Attributes inherited from ReactionData
double | m_temperature_buf = -1.0
| buffered temperature

## Member Function Documentation

## ◆ update() [1/7]

void update | ( | double | T | ) |
| override virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 15 of file PlogRate.cpp.

## ◆ update() [2/7]

void update | ( | double | T,
|  | double | extra
| ) |  |
| inline override virtual

Update data container based on temperature T and an extra parameter.

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 25 of file PlogRate.h.

## ◆ update() [3/7]

bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| override virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Implements ReactionData.

Definition at line 21 of file PlogRate.cpp.

## ◆ perturbPressure()

void perturbPressure | ( | double | deltaP | ) |

Perturb pressure of data container.

The method is used for the evaluation of numerical derivatives.

Parameters

  deltaP | relative pressure perturbation

Definition at line 32 of file PlogRate.cpp.

## ◆ restore()

void restore | ( |  | ) |
| override virtual

Restore data container after a perturbation.

Reimplemented from ReactionData.

Definition at line 42 of file PlogRate.cpp.

## ◆ invalidateCache()

void invalidateCache | ( |  | ) |
| inline override virtual

Force shared data and reaction rates to be updated next time.

This is called by functions that change quantities affecting rate calculations that are normally assumed to be constant, like the reaction rate parameters or the number of reactions.

Reimplemented from ReactionData.

Definition at line 44 of file PlogRate.h.

## ◆ update() [4/7]

virtual void update | ( | double | T | ) |
| inline virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 36 of file ReactionData.h.

## ◆ update() [5/7]

virtual void update | ( | double | T,
|  | double | extra
| ) |  |
| inline virtual

Update data container based on temperature T and an extra parameter.

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 48 of file ReactionData.h.

## ◆ update() [6/7]

virtual void update | ( | double | T,
|  | const vector< double > & | extra
| ) |  |
| inline virtual

Update data container based on temperature T and a vector parameter extra

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Warning
  This method is an experimental part of the Cantera API and may be changed or removed without notice.

Reimplemented from ReactionData.

Definition at line 62 of file ReactionData.h.

## ◆ update() [7/7]

virtual bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Implements ReactionData.

## Member Data Documentation

## ◆ pressure

double pressure = NAN

pressure

Definition at line 49 of file PlogRate.h.

## ◆ logP

double logP = 0.0

logarithm of pressure

Definition at line 50 of file PlogRate.h.

## ◆ m_pressure_buf

double m_pressure_buf = -1.0
| protected

buffered pressure

Definition at line 53 of file PlogRate.h.

The documentation for this struct was generated from the following files:

- PlogRate.h
- PlogRate.cpp